### Method

# GVnc Connection open_fd

#### Declaration [src]

    gboolean
    vnc_connection_open_fd (
      VncConnection* conn,
      int fd
    )

#### Description [src]

Open a connection using `fd` as the transport. If `fd` refers to a TCP connection, it is recommended to use vnc_connection_open_fd_with_hostname instead, to provide the remote hostname. This allows use of x509 based authentication which requires a hostname to be available.

#### Parameters

`fd`

  Type: `int`

  File descriptor to use for the connection.

#### Return value

Type: `gboolean`

TRUE if a connection was opened, FALSE if already open.